EDIT - bug #7835

taxonGraph search block implemented
10/17/2018 05:03 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.4

Severity: normal Found in Version:

Description

Related issues:

Follows EDIT - feature request #7834: taxonGraph search listing all included ... Closed

Associated revisions

Revision efbff4b3 - 10/18/2018 10:50 PM - Andreas Kohlbecker

ref #7835 first version of taxonGraph search block implemented

e registration search page with tabs for filter search and taxon graph search
¢ changing the search page path was needed

Revision 5195ddf2 - 10/19/2018 11:55 AM - Andreas Kohlbecker

ref #7835 minor fix for front page

Revision b18d70f6 - 10/19/2018 05:47 PM - Andreas Kohlbecker

ref #7835 adding registration search block combining filter and taxongraph search

Revision 0b494565 - 10/23/2018 01:02 PM - Andreas Kohlbecker

ref #7835 adding 'no results found' to registration search results

History

#1-10/17/2018 05:03 PM - Andreas Kohlbecker
- Due date set to 10/18/2018
- Start date changed from 10/17/2018 to 10/18/2018

- Follows feature request #7834: taxonGraph search listing all included names implemented added

#2 - 10/22/2018 09:14 AM - Andreas Kohlbecker
- Status changed from New to Resolved
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

- % Done changed from 0 to 50

implementation is complete, please review

#3 - 10/23/2018 12:01 PM - Wolf-Henning Kusber
- Status changed from Resolved to Worksforme
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 90

Search implemented and functioning. Search result need some time. No user feedback, if a string is not in the system. For the moment the

implementation works for me. Final adjustments can be done later.

Search for included genera/species by stings (Naviculaceae, Naviculales), not included in PhycoBank as registered names is functioning.
Serch for strings, not included in taxonGraph gives no results (= bug fixed, because in this case all records had been displayed)

Warn: Some higher taxa give no results, this might be due to the truncated import (e.g. "Euglenales")

#4 - 10/23/2018 12:40 PM - Andreas Miuller

- Status changed from Worksforme to Feedback

#5 - 10/23/2018 01:03 PM - Andreas Kohlbecker
- Status changed from Feedback to Closed
- % Done changed from 90 to 100

completed
